%global plugin_name git-server

Summary:    This plugin wraps the server-side functionality of JGit in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.7
Release:    10%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/git-server-plugin
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Git+Server+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-git-client

%description
This plugin wraps the server-side functionality of JGit so that other 
plugins can easily expose Git repositories from Jenkins via its SSH 
transport and HTTP in a collaborative fashion. This plugin is a 
library plugin, in the sense that it doesn't have any user visible 
feature on its own.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 1.7 - 1.7-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 1.7-1
- Update to 1.7

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.6-1
- Initial package
